:root {
	--primary-color: #e30613;
	--secondary-color: #787684;
}
/* A font by Christian Robertson */
/* Downloaded from http://www.fontsquirrel.com */
@font-face {
    font-family: 'Roboto';
    src: url('Roboto-Light-webfont.woff') format('woff');
    font-weight: 300;
    font-style: normal;
}
@font-face {
    font-family: 'Roboto';
    src: url('Roboto-Regular-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Roboto';
    src: url('Roboto-Medium-webfont.woff') format('woff');
    font-weight: 500;
    font-style: normal;
}
@font-face {
    font-family: 'Roboto';
    src: url('Roboto-Bold-webfont.woff') format('woff');
    font-weight: 700;
    font-style: normal;
}
@font-face {
    font-family: 'Roboto';
    src: url('Roboto-Black-webfont.woff') format('woff');
    font-weight: 900;
    font-style: normal;
}

*:lang(cs) {
  quotes: "„" "“" "‚" "‘";
}

a:link, a:visited {
	text-decoration: none;
	color: inherit;
}
strong {
	font-weight: 500;
}
.txt-light {
	font-weight: 300;
}
body {
	font-family: "Roboto", "Helvetica Neue", Helvetica, Arial, sans-serif;
	font-size: var(--basic-font-size);
	font-weight: normal;
	color: black;
	margin: 0;
	--basic-font-size: 14pt;
}
header {
	width: 100%;
	height: 145px;
	background-color: white;
	text-align: center;
}
main {
	display: block;
	text-align: center;
	width: 100%;
}
#contentblock {
	padding-top: 107px;
	overflow: hidden;
	text-align: left;
	position: relative;
}
footer {
	margin: 4em 0 0 0;
	background-color: #dddde0;
	color: black;
}
.header-content {
	display: flex;
	align-items: flex-end;
	justify-content: space-between;
	flex-wrap: nowrap;
	height: 100%;
	text-align: left;
	padding-bottom: 34px;
	box-sizing: border-box;
}
.main-content {
	margin-left: 103px;
}

.content-width, header nav.fix > ul {
	width: 1298px;
	margin: 0 auto;
	padding-left: 100px;
	padding-right: 100px;
	box-sizing: border-box;
}
header nav.fix > ul {
	padding-left: 203px;
}

header nav {
	display: flex;
	align-items: stretch;
	justify-content: end;
	width: 53%;
	align-self: stretch;
}
header nav.fix {
	position: fixed;
	width: 100%;
	top: 0;
	left: 0;
	z-index: 10;
	background-color: white;
	padding: 0;
	box-shadow: 0 0 4px black;
	transition: opacity 1s;
}

header nav.sandwichoff, header nav.sandwichon {
	visibility: visible;
	opacity: 1;
	transition: none;
}
header nav > ul {
	margin: 0;
	padding: 0;
	list-style-type: none;
	width: 100%;
	display: flex;
	align-content: end;
	justify-content: space-between;
	font-size: 12pt;
	font-weight: 300;
	letter-spacing: .1em;
	text-transform: uppercase;
	color: black;
}
header nav ul li {
	overflow-wrap: anywhere;
}
header nav > ul > li {
	margin: 0 .8em;
}
header nav > ul > li:first-child {
	margin-left: 0;
}
header nav > ul > li:last-child {
	margin-right: 0;
}
header nav > ul > li > a {
	display: flex;
	height: 100%;
	align-items: flex-end;
	position: relative;
	box-sizing: border-box;
	line-height: 1;
}
header nav.fix > ul > li > a {
	padding: .8em 0;
}
header nav > ul > li > a.act {
	color: black;
	font-weight: 500;
}
header nav > ul > li:hover > a::after, header nav > ul > li > a.act::after {
    content: "";
    width: 100%;
    height: 2px;
    background-color: var(--primary-color);
    position: absolute;
    bottom: -10px;
    left: 0;
}
header nav.fix > ul > li:hover > a::after, header nav.fix > ul > li > a.act::after {
	bottom: 4px;
}
header nav > ul > li > a.act {
	font-weight: 500;
	
}

#hlogo {
	display: block;
	width: 194px;
	line-height: 0;
}
#hlogo img {
	border: none;
	max-width: 100%;
}

/* SANDWICH */
#sandwich_icn {
	display: none;
	stroke: var(--primary-color);
}
#sandwich_icn:hover {
	cursor: pointer;
}
#sandwich_icn #sandwich_line1, #sandwich_icn #sandwich_line2, #sandwich_icn #sandwich_line3 {
	transform: none;
	transition: transform .5s;
}
#sandwich_icn #sandwich_line1 {
	transform-origin: center;
}
#sandwich_icn.on #sandwich_line1 {
	transform:  rotate(-45deg);
}
#sandwich_icn #sandwich_line2 {
	transform-origin: 30px 15px;
}
#sandwich_icn.on #sandwich_line2 {
	transform: translate(0px, 15px) rotate(-45deg);
}
#sandwich_icn #sandwich_line3 {
	transform-origin: 30px 45px;
}
#sandwich_icn.on #sandwich_line3 {
	transform: translate(0px, -15px) rotate(45deg);
}

/* BANNER */
#banner {
	width: 100%;
	height: 486px;
	position: relative;
	overflow: hidden;
	background-repeat: no-repeat;
	background-position: 50% 50%;
	background-image: url("img/banner.jpg");
	background-size: contain;
	background-color: #030303;
	font-size: 29pt;
}
.banner-texts {
	position: relative;
	top: 115px;
}
#banner h1, #banner p {
	text-transform: uppercase;
	color: white;
}
#banner h1 {
	margin: 0;
	font-size: 206.9%;
	font-weight: 700;
	line-height: 1;
	letter-spacing: .05em;
}
#banner h1 span {
	font-size: 80%;
}
#banner h1 span span {
	font-size: inherit;
	font-weight: normal;
}
#banner p {
	margin: 0;
	font-weight: 700;
	line-height: 1.25;
	letter-spacing: .02em;
}
#banner p span {
	font-weight: normal;
}
/* Animated items */
/* lines */
#ait1, #ait2 {
	position: absolute;
	width: 100%;
	background-color: var(--primary-color);
}
#ait1 {
	height: calc((100vw / 1298) * 5);
	min-height: 1px;
	top: 13%;
	left: 75%;
	opacity: 0;
	animation: 32s ease-in-out 0s infinite a1;
}
@keyframes a1 {
	0% {
		left: 75%;
		opacity: 0;
		}
	50% {
		left: 38%;
		opacity: .48;
		}
	100% {
		left: 75%;
		opacity: 0;
	}
}
#ait2 {
	height: calc((100vw / 1298) * 17);
	min-height: 4px;
	bottom: 12%;
	right: 95%;
	opacity: 0;
	animation: 48s ease-in-out 4s infinite a2;
}
@keyframes a2 {
	0% {
		right: 95%;
		opacity: 0;
		}
	50% {
		right: 61%;
		opacity: .53;
		}
	100% {
		right: 95%;
		opacity: 0;
	}
}
/* paragraph texts */ 
#ait3 {
	position: absolute;
	bottom: -35%;
	opacity: .3;
	font-size: calc((100% / 38.66) * 38);
	animation: 8s ease-in-out 2s infinite a3;
}
@keyframes a3 {
	0% {
		opacity: .3;
		font-size: calc((100% / 38.66) * 38);
		}
	50% {
		opacity: .05;
		font-size: calc((100% / 38.66) * 32);
		}
	100% {
		opacity: .3;
		font-size: calc((100% / 38.66) * 38);
	}
}
#ait4 {
	position: absolute;
	left: 19%;
	bottom: -65%;
	opacity: .05;
	font-size: calc((100% / 38.66) * 32);
	animation: 12s ease-in-out 3s infinite a4;
}
@keyframes a4 {
	0% {
		opacity: .05;
		font-size: calc((100% / 38.66) * 32);
		}
	50% {
		opacity: .39;
		font-size: calc((100% / 38.66) * 38);
		}
	100% {
		opacity: .05;
		font-size: calc((100% / 38.66) * 32);
	}
}
/* heat pulsation */
#ait5 {
	position: absolute;
	width: calc((100% / 1298) * 421);
	height: 79%;
	background-color: lightyellow;
	opacity: 0;
	top: 153%;
	mix-blend-mode: overlay;
	left: 53.3%;
	border-radius: 60px;
	filter: blur(20px);
	max-width: 421px;
	animation: 2s ease-in-out 0s infinite a5;
	}
@keyframes a5 {
	0% {
		opacity: 0;
		}
	50% {
		opacity: .5;
		}
	100% {
		opacity: 0;
	}
}
/* MAIN CONTENT */
h2 {
	font-size: 160%;
	font-weight: 900;
	text-transform: uppercase;
	letter-spacing: .09em;
	color: var(--secondary-color);
	margin: 0 0 1.2em 0;
}
h3 {
	font-size: 100%;
	font-weight: normal;
	margin: 2em 0 0 0;
}
h4 {
	margin: 0 0 .5em 0;
	font-size: var(--basic-font-size);
	font-weight: 300;
	text-transform: uppercase;
	letter-spacing: .1em;
}
p {
	text-align: justify;
	margin: 1em 0 0 0;
}
.icn {
	position: relative;
}
.icn::before {
  content: "";
  display: block;
  position: absolute;
  left: -103px;
  width: 61px;
  height: 62px;
  background-repeat: no-repeat;
  background-size: contain;
}
#o_nas .icn::before {
  background-image: url("img/icn_onas.svg");
}
#o_nas .icn.act::before {
  background-image: url("img/icn_onas_act.svg");
}
#technologie .icn::before {
  background-image: url("img/icn_technologie.svg");
}
#technologie .icn.act::before {
  background-image: url("img/icn_technologie_act.svg");
}
#kontakty .icn::before {
  background-image: url("img/icn_kontakty.svg");
}
#kontakty .icn.act::before {
  background-image: url("img/icn_kontakty_act.svg");
}
.sectionimage {
	width: 100%;
	margin: 2.7em 0;
}
.main-content ul {
	padding: 0;
	margin: 1em 0;
	list-style-type: none;
	color: var(--secondary-color);
	font-weight: 700;
	letter-spacing: .05em;
	font-size: 140%;
}
.main-content ul li {
	position: relative;
	padding-left: 2rem;
	margin-bottom: .8em;
}
.main-content ul li::before {
	content: "\25fc";
	display: block;
	position: absolute;
	left: 0;
	font-size: 75%;
	line-height: 1.8;
	color: var(--primary-color);
	width: 2rem;
}
.main-content ul li ul {
	padding: 0;
	margin: 0;
	font-weight: 300;
	letter-spacing: .05em;
	font-size: var(--basic-font-size);
}
.main-content ul li ul li {
	padding-left: 1rem;
}
.main-content ul li ul li::before {
	content: "–";
	display: block;
	font-size: inherit;
	line-height: inherit;
	color: inherit;
	width: 1rem;
}
#contacts-layout {
	display: flex;
	flex-wrap: wrap;
	align-items: stretch;
	row-gap: 1.5em;	
}
#contacts-layout div:nth-child(2n+1) {
	width: 44%;
}
#contacts-layout div:nth-child(2n) {
	width: 56%;
}
#contacts-layout p {
	margin: 0 0 .5em 0;
	font-weight: 300;
	text-align: left;
	line-height: 1.3;
}
#contacts-layout a:hover {
	color: var(--primary-color);
}
#contacts-layout strong, #contacts-layout a[href^="mailto"] {
	font-weight: normal;
}
#provozovna {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}
#provozovna div {
	width: 100% !important;
}
#provozovna div+div h4 {
	margin-top: .5em;
}
#provozovna div p:last-child {
	margin: 0;
}
#mapa {
background: antiquewhite;
	height: auto;
	filter: grayscale(1);
}
#mapa:hover {
	filter: none;
}
#mapa iframe {
	width: 100%;
	height: 100%;
}
/* FOOTER CONTENT */
footer p {
	margin: 0;
	padding: 3em 0;
	font-weight: 300;
	text-transform: uppercase;
	text-align: right;
	letter-spacing: .03em;
}
footer p a:link, footer p a:visited {
	color: var(--primary-color);
	white-space: nowrap;
}

@media screen and (max-width:1919px){
#banner {
	background-size: cover;
}
}
@media screen and (max-width:1298px){
#contentblock {
	padding-top: calc((100vw / 1298) * 107);
}
.content-width {
	width: 100%;
	padding-left: 7.5%;
	padding-right: 7.5%;
}
#banner {
	height: calc((100vw / 1298) * 486);
}
.banner-texts {
	top: calc((100vw / 1298) * 115);
}
#banner {
	font-size: calc((100vw / 1298) * 38.6667);
}
}
@media screen and (max-width:1024px){
header {
	height: calc((100vw / 1024) * 145);
}
.header-content {
	padding-bottom: calc((100vw / 1024) * 34);
}
.main-content {
	margin-left: 11.822%;
}
.icn::before {
	left: -13.406%;
	width: calc((100vw / 1024) * 61);
	height: calc((100vw / 1024) * 62);
}
#contacts-layout div:nth-child(1), #contacts-layout div:nth-child(2) {
	width: 50% !important;
}
#contacts-layout div:nth-child(3), #contacts-layout div:nth-child(4) {
	width: 100% !important;
}
#provozovna {
	flex-direction: row;
	flex-wrap: wrap;
}
#provozovna div:nth-child(2) {
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: flex-start;
}
h4 {
	letter-spacing: .02em;
}
#provozovna div + div h4:first-child {
	margin-top: 0;
}
#mapa {
	height: calc((100vw / 1024) * 377);
}
}
@media screen and (max-width:768px){
#hlogo {
	width: calc((100vw / 768) * 163);
}
header nav {
	width: 65%;
}
body {
	--basic-font-size: 13pt;
}
}
@media screen and (max-width:640px){
body {
	--basic-font-size: 12pt;
}
h2 {
	font-size: 140%;
	margin-bottom: .7em;
}
h3 {
	margin-top: 1.25em;
}
.main-content ul {
	margin: .75em 0;
	font-size: 125%;
}
.main-content ul li {
	padding-left: 1.2rem;
	margin-bottom: .5em;
}
.main-content ul li::before {
	width: 1.2rem;
}
#mapa {
	height: calc((100vw / 640) * 350);
}
footer p {
	font-size: 90%;
	padding: 2em 0;
}
}
@media screen and (max-width:600px){
#sandwich_icn {
	display: block;
	height: 100%;
	max-width: 100%;
	min-width: 48px;
	z-index: 1;
}
header nav, header nav.fix {
	display: block;
	position: absolute;
	width: 85%;
	background-color: white;
	visibility: hidden;
	opacity: 0;
	top: 100%;
}
header nav > ul {
	display: block;
	font-size: 13pt;
	color: black;
	background-color: #f2f2f2;
}
header nav > ul > li {
	margin: 0;
	border-bottom: 1px solid var(--secondary-color);
}
header nav > ul > li > a {
	display: block;
	padding: 1em;
}
header nav > ul > li > a:hover {
	background-color: var(--primary-color);
	color: white;
}
header nav > ul > li:hover > a::after, header nav > ul > li > a.act::after {
	content: none;
}
header nav > ul > li > a.act {
	font-weight: inherit;
}
header nav.sandwichon {
	visibility: visible;
	opacity: 1;
	transition: opacity .5s;
}
header nav.sandwichoff {
  opacity: 0;
  visibility: hidden;
  transition: opacity .5s, visibility 0s .5s;
}
header {
	height: calc((100vw / 600) * 64);
}
.header-content {
	position: relative;
	overflow: visible;
	align-items: center;
	padding-bottom: 0;
	z-index: 2;
}
#hlogo {
	width: calc((100vw / 600) * 175);
}
}
@media screen and (max-width:524px){
body {
	--basic-font-size: 11pt;
}
.main-content {
	margin-left: 0;
}
.icn::before {
	content: none;
}
#contacts-layout, #provozovna {
	flex-direction: column;
	row-gap: 0;
}
#contacts-layout div:nth-child(1), #contacts-layout div:nth-child(2) {
	width: 100% !important;
}
#provozovna div + div h4:first-child {
	margin-top: .5em;
}
h4 {
	margin-top: 1em !important;
}
#mapa {
	margin-top: 2em;
}
footer p {
	text-align: center;
}
#ait1, #ait2, #ait3, #ait4, #ait5 {
	animation: none;
}
#ait1, #ait2, #ait5 {
	display: none;
}
#ait3 {
	opacity: .4;
	font-size: calc((100% / 38.66) * 38);
}
#ait4 {
	opacity: .5;
	font-size: calc((100% / 38.66) * 38);
}
}
@media print {
header {
	height: unset;
}
.header-content {
	display: block;
	padding-top: 1em;
	padding-bottom: 2em;
	text-align: right;
}
#hlogo {
	display: inline;
}
nav {
	display: none !important;
}
.content-width {
	width: 100%;
	padding-left: 1.5cm;
	padding-right: 1.5cm;
}
main {
	display: block;
	text-align: center;
	width: 100%;
}
.main-content {
	margin-left: 0;
}
#banner {
	background-image: none;
	background-color: transparent;
	height: auto;
	overflow: visible;
}
#banner h1 {
	font-size: 140%;
	color: black;
}
#banner p {
	color: black;
}
.banner-texts {
	position: static;
}
#ait3 {
	position: static;
	color: black;
	opacity: 1;
	animation: none;
	font-size: 70%;
}
#ait4 {
	position: static;
	color: black;
	opacity: 1;
	animation: none;
	font-size: 70%;
}
#ait1, #ait2, #ait5 {
	animation: none;
	display: none;
}
#contentblock {
	padding-top: 2em;
}
.icn::before {
	content: none;
}
#contacts-layout div:nth-child(2n+1) {
  width: 100%;
}
#contacts-layout div:nth-child(2n) {
  width: 100%;
}
}
